
QGIS Application - Bug report #19884

When using atlas and a data override symbol style with the assistant, symbol does not display in the 

legend unless the coalesce function is removed

2018-09-18 06:10 PM - cris c

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.1 Regression?: No

Operating System: win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27708

Description

I have a project with a soil analysis layer whose dots are colored and size variable depending on the concentration of the element. 

I have set up an atlas based on a table that loops through all the layers (elements). 

The legend for the currently selected atlas item displays correctly if I manually change each symbol size. It does not display a dot at all if

the assistant is used to set the data driven override for symbol sizes. It will show the dots, albeit without a change in size, if I change the

function from:

coalesce(scale_exp("ChosenElement", 0, 75, 1.5, 3, 0.5), 0)

to 

scale_exp("ChosenElement", 0, 75, 1.5, 3, 0.5)

History

#1 - 2018-11-09 02:30 PM - Florent Monkerhey

I have the same problem with the last version 3.4.1

In 2.18.17, there is no problem.

#2 - 2018-11-09 02:31 PM - Giovanni Manghi

- Affected QGIS version changed from 3.3(master) to 3.4.1

Files

assistant set sizes.PNG 14.4 KB 2018-09-18 cris c

manually set sizes.PNG 15.7 KB 2018-09-18 cris c

data set sizes no coalesce.PNG 15.6 KB 2018-09-18 cris c
